FROM alpine:3
MAINTAINER Aleš Krajník <ales@krajnik.family>

RUN apk --no-cache upgrade \
    && apk --no-cache add bash iproute2 supervisor postfix postfix-pgsql

COPY files/ /

ENV MAIL_HOSTNAME="" \
    MAIL_POSTFIX_PG_HOST="postgres" \
    MAIL_POSTFIX_PG_DBNAME="mail" \
    MAIL_POSTFIX_PG_USER="postfix" \
    MAIL_POSTFIX_PG_PASS=""

VOLUME ["/etc/letsencrypt", "/var/spool/postfix"]

EXPOSE 465 587

HEALTHCHECK --interval=5s --timeout=5s --start-period=15s CMD "/usr/local/sbin/healthcheck.sh" 465 587

CMD ["/usr/local/sbin/entrypoint.sh"]
